# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_DrawableC2D Class Reference

`#include <TestTopOpeDraw_DrawableC2D.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableC2D:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_DrawableC2D (const Handle(Geom2d_Curve)&C, const Draw_Color &CColor)
Standard_EXPORT | TestTopOpeDraw_DrawableC2D (const Handle(Geom2d_Curve)&C, const Draw_Color &CColor, const Standard_CString Text, const Draw_Color &TextColor)
Standard_EXPORT | TestTopOpeDraw_DrawableC2D (const Handle(Geom2d_Curve)&C, const Draw_Color &CColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Integer Discret, const Standard_Boolean DispOrigin=Standard_True, const Standard_Boolean DispCurvRadius=Standard_False, const Standard_Real RadiusMax=1.0e3, const Standard_Real RatioOfRadius=0.1)
virtual Standard_EXPORT gp_Pnt2d | Pnt2d () const
Standard_EXPORT void | ChangePnt2d (const gp_Pnt2d &P)
Standard_EXPORT void | ChangeCurve (const Handle(Geom2d_Curve)&C)
Standard_EXPORT void | ChangeText (const Standard_CString T)
virtual Standard_EXPORT void | Name (const Standard_CString N)
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. .
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Draw_Text2D | myText2D
Standard_CString | myText

## Private Attributes

Draw_Color | myTextColor

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_DrawableC2D::TestTopOpeDraw_DrawableC2D | ( | const Handle(Geom2d_Curve)& | C,
|  | const Draw_Color & | CColor
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableC2D::TestTopOpeDraw_DrawableC2D | ( | const Handle(Geom2d_Curve)& | C,
|  | const Draw_Color & | CColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableC2D::TestTopOpeDraw_DrawableC2D | ( | const Handle(Geom2d_Curve)& | C,
|  | const Draw_Color & | CColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Integer | Discret,
|  | const Standard_Boolean | DispOrigin = `Standard_True`,
|  | const Standard_Boolean | DispCurvRadius = `Standard_False`,
|  | const Standard_Real | RadiusMax = `1.0e3`,
|  | const Standard_Real | RatioOfRadius = `0.1`
| ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_DrawableC2D::ChangeCurve | ( | const Handle(Geom2d_Curve)& | C | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableC2D::ChangePnt2d | ( | const gp_Pnt2d & | P | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableC2D::ChangeText | ( | const Standard_CString | T | ) |

virtual Standard_EXPORT void TestTopOpeDraw_DrawableC2D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Curve2d.

Standard_EXPORT const TestTopOpeDraw_DrawableC2D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Curve2d.

virtual Standard_EXPORT void TestTopOpeDraw_DrawableC2D::Name | ( | const Standard_CString | N | ) | `[virtual]`

| Reimplemented from Draw_Drawable3D.

virtual Standard_EXPORT gp_Pnt2d TestTopOpeDraw_DrawableC2D::Pnt2d | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void TestTopOpeDraw_DrawableC2D::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Curve2d.

## Field Documentation

Standard_CString TestTopOpeDraw_DrawableC2D::myText `[protected]`

Handle_Draw_Text2D TestTopOpeDraw_DrawableC2D::myText2D `[protected]`

Draw_Color TestTopOpeDraw_DrawableC2D::myTextColor `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableC2D.hxx